- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Public Attributes | Friends

# QWSClient Class Reference

Search for all occurrences

## Detailed Description

Definition at line 443 of file qwindowsystem_qws.h.

`#include <qwindowsystem_qws.h>`

Inheritance diagram for QWSClient:
[legend]

List of all members.

## Signals
void | connectionClosed ()
void | readyRead ()
## Public Member Functions
| QWSClient (QObject *parent, QWS_SOCK_BASE *, int id)
| ~QWSClient ()
int | socket () const
void | setIdentity (const QString &)
QString | identity () const
void | sendEvent (QWSEvent *event)
void | sendConnectedEvent (const char *display_spec)
void | sendMaxWindowRectEvent (const QRect &rect)
void | sendPropertyNotifyEvent (int property, int state)
void | sendPropertyReplyEvent (int property, int len, const char *data)
void | sendSelectionClearEvent (int windowid)
void | sendSelectionRequestEvent (QWSConvertSelectionCommand *cmd, int windowid)
void | sendRegionEvent (int winid, QRegion rgn, int type)
void | sendEmbedEvent (int winid, QWSEmbedEvent::Type type, const QRegion &region=QRegion())
QWSCommand * | readMoreCommand ()
int | clientId () const
## Public Attributes
QWSCursorMap | cursors
## Friends
class | QWSWindow
class | QWSServerPrivate

## Constructor & Destructor Documentation

QWSClient | ( | QObject * | parent,
|  | QWS_SOCK_BASE * | ,
|  | int | id
| ) |  |

~QWSClient | ( |  | ) |

## Member Function Documentation

int socket | ( |  | ) | const

Search for all occurrences

void setIdentity | ( | const QString & |  | ) |

Search for all occurrences

QString identity | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 454 of file qwindowsystem_qws.h.

    { return id; }

void sendEvent | ( | QWSEvent * | event | ) |

Search for all occurrences

void sendConnectedEvent | ( | const char * | display_spec | ) |

Search for all occurrences

void sendMaxWindowRectEvent | ( | const QRect & | rect | ) |

Search for all occurrences

void sendPropertyNotifyEvent | ( | int | property,
|  | int | state
| ) |  |

Search for all occurrences

void sendPropertyReplyEvent | ( | int | property,
|  | int | len,
|  | const char * | data
| ) |  |

Search for all occurrences

void sendSelectionClearEvent | ( | int | windowid | ) |

Search for all occurrences

void sendSelectionRequestEvent | ( | QWSConvertSelectionCommand * | cmd,
|  | int | windowid
| ) |  |

Search for all occurrences

void sendRegionEvent | ( | int | winid,
|  | QRegion | rgn,
|  | int | type
| ) |  |

Search for all occurrences

void sendEmbedEvent | ( | int | winid,
|  | QWSEmbedEvent::Type | type,
|  | const QRegion & | region = `QRegion()`
| ) |  |

Search for all occurrences

QWSCommand* readMoreCommand | ( |  | ) |

Search for all occurrences

int clientId | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 474 of file qwindowsystem_qws.h.

    { return cid; }

void connectionClosed | ( |  | ) | `[signal]`

Search for all occurrences

void readyRead | ( |  | ) | `[signal]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QWSWindow `[friend]`

Search for all occurrences

Definition at line 486 of file qwindowsystem_qws.h.

friend class QWSServerPrivate `[friend]`

Search for all occurrences

Definition at line 501 of file qwindowsystem_qws.h.

## Member Data Documentation

QWSCursorMap cursors

Search for all occurrences

Definition at line 476 of file qwindowsystem_qws.h.

The documentation for this class was generated from the following file:

- QtGui/qwindowsystem_qws.h

QWSClient QWSClient QWSClient QWSClient QWSClient QWSClient QWSClient QWSClient QWSClient QWSClient
QWSClient QWSClient QWSClient QWSClient QWSClient QWSClient QWSClient QWSClient QWSClient QWSClient